# wxStaticLine

###
Module

wxStaticLine

###
Module Summary

Functions for wxStaticLine class

###
Description

A static line is just a line which may be used in a dialog to separate the groups of controls.

The line may be only vertical or horizontal. Moreover, not all ports (notably not wxGTK) support specifying the transversal direction of the line (e.g. height for a horizontal line) so for maximal portability you should specify it as wxDefaultCoord.

Styles

This class supports the following styles:

See: wxStaticBox

This class is derived (and can use functions) from: wxControl wxWindow wxEvtHandler

wxWidgets docs: wxStaticLine

###
Data Types

####
wxStaticLine() = wx:wx_object()

###
Exports

####
new() -> wxStaticLine()

Default constructor.

####
new(Parent) -> wxStaticLine()

### Types

Parent = wxWindow:wxWindow()

####
new(Parent, Options :: [Option]) -> wxStaticLine()

### Types

Parent = wxWindow:wxWindow()
Option =
{id, integer()} |
{pos, {X :: integer(), Y :: integer()}} |
{size, {W :: integer(), H :: integer()}} |
{style, integer()}

Constructor, creating and showing a static line.

See: create/3

####
create(This, Parent) -> boolean()

### Types

This = wxStaticLine()
Parent = wxWindow:wxWindow()

####
create(This, Parent, Options :: [Option]) -> boolean()

### Types

This = wxStaticLine()
Parent = wxWindow:wxWindow()
Option =
{id, integer()} |
{pos, {X :: integer(), Y :: integer()}} |
{size, {W :: integer(), H :: integer()}} |
{style, integer()}

Creates the static line for two-step construction.

See new/2 for further details.

####
isVertical(This) -> boolean()

### Types

This = wxStaticLine()

Returns true if the line is vertical, false if horizontal.

####
getDefaultSize() -> integer()

This static function returns the size which will be given to the smaller dimension of the static line, i.e.

its height for a horizontal line or its width for a vertical one.

####
destroy(This :: wxStaticLine()) -> ok

Destroys the object.